using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebMain_Product_Search_search : System.Web.UI.UserControl
{
    TableCell tc;
    TableRow tr;
    Label l1;
    ImageButton img;
    TextBox tbox;
    protected void Page_Load(object sender, EventArgs e)
    {

        tr = new TableRow();
        tc = new TableCell();
        tbox = new TextBox();
        tbox.Width=300;

        l1 = new Label();
        l1.Text = "商品搜索 ：";
        tc.Controls.Add(l1);
        tr.Controls.Add(tc);
        TB.Controls.Add(tr);
        tc = new TableCell();
        tc.Controls.Add(tbox);
        tr.Controls.Add(tc);
        TB.Controls.Add(tr);
        img = new ImageButton();
        img.ImageUrl = "~/images/icon_search.gif";
        img.Click+=new ImageClickEventHandler(img_Click);
        tc = new TableCell();
        
        tc.Controls.Add(img);
        tr.Controls.Add(tc);
        TB.Controls.Add(tr);
        
    }
    protected void img_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/china/searchresult.aspx?keywords="+this.tbox.Text);
    }
}
